Subject: bug#13319: 24.2.91; emacsclient doesn't find server with nonstandard name

From: Michael Heerdegen <[email-masked]>
Date: Fri, 16 Jul 2021 03:08:04 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> >> This is questionable.  How does it know that a random socket is a emacs
> >> server socket?
> >
> > Here on Debian, it looks under /tmp/emacs$UID.  Can there be any other
> > socket?
>
> This was eight years ago, and some things have changed in this area
> (like the location of the server socket), but the issue still remains, I
> think?

Seems so.

> That is, the client won't look around for a socket with a
> non-standard name.
>
> But I tend to think that this is actually the correct behaviour --
> having emacsclient guess at what socket name to use sounds a bit too
> DWIM to me:  I may deliberately have set up a server to do one very
> specific thing under a non-standard name, and I would not want any
> random emacsclient invocation to use that special server just because it
> can't find the standard socket.  (Which I may just have forgotten to
> start the server for.)

What would happen in this case?  Can't you use another place to store
the socket then?

> So I think this behaves as it should.  Anybody else got another opinion?

I don't know if something like you describe could be prevented.  If you
are sure that my suggestion would cause trouble, then I'm ok with
closing.  I'm too ignorant about how this socket stuff is working to
have an opinion.

Michael.